INTERFACE
SUBROUTINE SMOS_IGP2OBS(KFIELD_GP,KFIELD,KPOL)
 USE PARKIND1 , ONLY : JPIM ,JPRB
 USE YOMMP , ONLY : MYPROC
 USE YOMGEM , ONLY : NGPTOT
 USE YOMSMOS , ONLY : OB_JOBS, OB_FROM, OB_JROF_GP, GP_COUNT, OB_COUNT
 INTEGER(KIND=JPIM),INTENT(IN) :: KFIELD_GP(NGPTOT)
 INTEGER(KIND=JPIM),INTENT(OUT) :: KFIELD(OB_COUNT(MYPROC,KPOL))
 INTEGER(KIND=JPIM),INTENT(IN) :: KPOL
 END SUBROUTINE SMOS_IGP2OBS
END INTERFACE
